# $Revision: 1.16 $, $Date: 2007-02-13 07:16:53 $
#
# Conditional build:
%bcond_without	tests	# Do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Crypt
%define		pnam	TripleDES
Summary:	Crypt::TripleDES Perl module - pure Perl Triple DES implementation
Summary(pl.UTF-8):	Moduł Perla Crypt::TripleDES - czysto perlowa implementacja Triple DES
Name:		perl-Crypt-TripleDES
Version:	0.24
Release:	3
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	90b562175a8f6c5f6bc3eacaddffbcde
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module implements 3DES encryption in ECB mode. The code is based
on Eric Young's implementation of DES in pure perl. It's quite slow
because of the way Perl handles bit operations and is not recommended
for use with large texts.

%description -l pl.UTF-8
Ten moduł jest implementacją szyfrowania 3DES w trybie ECB. Kod bazuje
na czysto perlowej implementacji DES Erica Younga. Jest dosyć wolny ze
względu na sposób obsługi operacji bitowych przez interpreter i nie
jest zalecany do użycia z dużymi tekstami.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{perl_vendorlib}/Crypt/*.pm
%{_mandir}/man3/*
%attr(755,root,root) %{_examplesdir}/%{name}-%{version}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Crypt-TripleDES.spec,v $
Revision 1.16  2007-02-13 07:16:53  glen
- tabs in preamble

Revision 1.15  2007/02/12 00:49:28  baggins
- converted to UTF-8

Revision 1.14  2004/11/03 22:30:14  paladine
- formatting

Revision 1.13  2004/06/05 18:10:36  radek
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

Revision 1.12  2004/05/07 01:09:19  ankry
- rel. 3

Revision 1.11  2004/05/06 18:09:27  ankry
- fixed perl-devel BR

Revision 1.10  2004/04/20 09:55:38  ankry
- new bconds

Revision 1.9  2004/04/19 20:14:26  ankry
- license fixes and unification

Revision 1.8  2003/08/18 08:08:38  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.7  2003/05/28 13:00:31  malekith
- massive attack: source-md5

Revision 1.6  2003/05/25 06:24:34  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.5  2003/04/11 18:59:22  radek
- BR: perl-devel; do not BR: perl

Revision 1.4  2003/03/01 18:46:41  radek
- should be ready for perl-5.8.0; release++

Revision 1.3  2003/02/25 00:37:45  radek
- use the __perl macro

Revision 1.2  2003/02/18 15:30:05  ankry
- massive attack: change CPAN URLs

Revision 1.1  2002/08/02 20:06:34  qboosh
- new

